#include "stream_basics.h"

namespace NFusion {
    ui32 GetSubStream(ui32 stream, ui8 aux) {
        const size_t shift = CHAR_BIT * sizeof(aux);
        Y_ASSERT(stream < (Max<decltype(stream)>() >> shift));
        return (stream << shift) + aux;
    }
}
